# Listar historial de estados de un formulario

Al cambiar el estado de un formulario se genera el historial. Para listar el historial de un formulario se debe realizar un GET como el que se encuentra a continuación

<mark style="color:blue;">`GET`</mark> `https://api.persat.com.ar/v1/digital-forms/state-historical/form_id`

#### Path Parameters

| Name                                       | Type   | Description                  |
| ------------------------------------------ | ------ | ---------------------------- |
| form\_id<mark style="color:red;">\*</mark> | String | Identificador del formulario |

#### Headers

| Name                                            | Type   | Description      |
| ----------------------------------------------- | ------ | ---------------- |
| Authorization<mark style="color:red;">\*</mark> | String | Bearer API\_KEY  |
| Content-Type<mark style="color:red;">\*</mark>  | String | application/json |

{% tabs %}
{% tab title="200: OK se ejecutó con éxito" %}

```json
{
    "success": true,
    "data": [
        {
            "user_name": "Modificado por Api",
            "form_id": "197",
            "state_id": 26,
            "state_name": "Listo",
            "user_id": null,
            "created_at": "2025-02-04T20:53:27.000Z"
        },
        {
            "user_name": "Lucas Fernandez",
            "form_id": "197",
            "state_id": 28,
            "state_name": "Aprobado",
            "user_id": 30,
            "created_at": "2025-02-04T21:05:21.000Z"
        }
    ]
}
```

{% endtab %}

{% tab title="404: NOT FOUND" %}

```json
{
    "success": false,
    "error": {
        "status": 404,
        "type": "NOT_FOUND",
        "userMessage": "No hay un formulario con id: '197123'"
    }
}
```

{% endtab %}
{% endtabs %}

### Analizando la Respuesta

{% hint style="warning" %}
Si el estado de formulario fue modificado vía API,  'user\_id' será null y 'user\_name' será "Modificado por Api".
{% endhint %}

**form\_id:** Es un string. Identificador del formulario al que se le modificó el estado.

**state\_id:** Es un número. Identificador del estado al que se modificó el formulario.

**state\_name:** Es un string. Nombre del estado al que se modificó el formulario.

**user\_id:** es un número o null(si se modificó por API). Identificador del usuario que modificó el estado del formulario.

**user\_name:** Es un string. Es el nombre del usuario que modificó el estado del formulario. "Modificado por Api" si fue modificado vía Api.

**created\_at:** es una fecha UTC que indica la última cuando se modificó el estado del formulario.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.api.persat.com.ar/modulos/formularios-digitales/listar-historial-de-estados-de-un-formulario.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
